Bug 763926 - (GLUSTER-2194) gluster peer probe on a ip octet value bigger than 255 has no validation
gluster peer probe on a ip octet value bigger than 255 has no validation
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-06 11:59 EST by Harshavardhana
Modified: 2015-12-01 11:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2010-12-06 11:59:15 EST
eg:- gluster peer probe 10.1.10.300 results in glusterd hang. 

Messages in /var/log/glusterfs/etc-glusterfs-glusterd.vol.log are about DNS resolution (Name or service not known). 

And this request goes into an infinite loop until the glusterd is killed and restarted. 

We need a validation routine for checking ipv4 octets. I am surprised to see that there is no validation for this, before even going into DNS resolution. 

Strange part is it even lists that in "gluster peer status" as disconnected and you can't even detach it and says it is part of the cluster.
Comment 1 Harshavardhana 2011-01-26 17:37:13 EST
(In reply to comment #0)
> eg:- gluster peer probe 10.1.10.300 results in glusterd hang. 
> 
> Messages in /var/log/glusterfs/etc-glusterfs-glusterd.vol.log are about DNS
> resolution (Name or service not known). 
> 


Is there any more input needed on this to move this forward?
Comment 2 kaushik 2011-01-26 23:02:15 EST
> Is there any more input needed on this to move this forward?

No, waiting for the patches from bug 763981 to move in before pushing in the changes. The above said patches moves the host-name validation/ ip-addr validation to libglusterfs.
Comment 3 shishir gowda 2011-02-17 23:08:51 EST
Have added the fix the check if peer ip/hostname are valid as part of peer probe command. 
If the octet is > 255, it will be treated as a valid hostname, even though it wont be a valid ipv4 address.

Valid range for hostname:
ASCII chars : 'a' to 'z', '0' to '9', '.', '-', with max of 255 chars.
Comment 4 Anand Avati 2011-02-22 02:11:00 EST
PATCH: http://patches.gluster.com/patch/6210 in master (Validate peer probe command's hostname/ip address.)
Comment 5 Raghavendra Bhat 2011-02-23 00:38:52 EST
As shishir has mentioned wrong IP address can be a valid hostname. If invalid hostname is given then it gives out the usage.



gluster peer probe opo_opo
Usage: peer probe <HOSTNAME>

Note You need to log in before you can comment on or make changes to this bug.